Commit 0c5b8d92 authored by Francois-Rene Rideau's avatar Francois-Rene Rideau

Fix a typo in asdf-ops. Make version check ready for asdf 3 (if ever).

parent bebb5e86
......@@ -5,7 +5,8 @@
#-asdf2
(error "ASDF-DEPENDENCY-GROVEL requires ASDF2.")
(unless (version-satisfies (asdf-version) "2.014.8")
#-asdf3
(unless (version-satisfies (asdf-version) "2.14.8") ; officially named 2.014.8, ouch.
(error "Not only is your ASDF version is too old for ASDF-DEPENDENCY-GROVEL,
you must upgrade it *before* you try to load any system."))
......
......@@ -143,7 +143,7 @@ to the base of the system."
;;; XXX: nasty hack.
;;; Necessary to support asd files that weren't rewritten to use
;;; instrumented-module/instrumented-cl-source-file classes.
(defmethod :module-default-component-class :around ((c module))
(defmethod module-default-component-class :around ((c module))
(let ((what-would-asdf-do (call-next-method)))
(if (member what-would-asdf-do `(nil cl-source-file
,(find-class 'cl-source-file)))
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment